# $Revision: 1.86 $, $Date: 2012/02/08 21:35:58 $
#
# Conditional build:
%bcond_with	pcd	# with Kodak PhotoCD support
%bcond_with	svga	# don't build svgalib version
%bcond_without	sdl	# don't build SDL version
#
Summary:	Console viewer for many graphics formats
Summary(de.UTF-8):	Konsolenbetrachter für viele Grafikformate
Summary(es.UTF-8):	Visualizador para muchos formatos de gráficos (consola)
Summary(fr.UTF-8):	Visualiseur d'image en mode console, pour de nombreux formats graphiques
Summary(pl.UTF-8):	Konsolowa przeglądarka obrazków w różnych formatach
Summary(pt_BR.UTF-8):	Visualizador para muitos formatos de gráficos (console)
Summary(uk.UTF-8):	Консольна програма перегляду багатьох графічних форматів
Summary(tr.UTF-8):	Birçok resim formatını görüntüleyebilen konsol aracı
Summary(ru.UTF-8):	Консольная программа просмотра множества графических форматов
Name:		zgv
Version:	5.9
Release:	10
License:	GPL
Group:		Applications/Graphics
Source0:	ftp://metalab.unc.edu/pub/Linux/apps/graphics/viewers/svga/%{name}-%{version}.tar.gz
# Source0-md5:	d65a434ddeb612f0c488177f873afad2
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-info.patch
Patch2:		%{name}-Dkey.patch
Patch3:		%{name}-home_etc.patch
Patch4:		%{name}-gcc.patch
Patch5:		%{name}-libpng15.patch
%{?with_sdl:BuildRequires:	SDL-devel}
BuildRequires:	gawk
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libtiff-devel
%{?with_svga:BuildRequires:	svgalib-devel}
BuildRequires:	texinfo
BuildRequires:	zlib-devel
%{?with_pcd:BuildRequires:	libpcd-devel}
Requires:	%{name}-common = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%{!?with_sdl:%{!?with_svga:%{error: at least one version must be enabled} exit 1}}

%description
Zgv is a picture viewer capable of displaying GIF files as defined by
CompuServe, with the exceptions listed in the RESTRICTIONS section. It
is also capable of displaying JPEG/JFIF files using the Independant
JPEG Group's JPEG software, PBM/PGM/PPM files as used by pbmplus and
netpbm, Microsoft Windows and OS/2 BMP files, Targa (TGA) and TIFF
files, the new PNG format%{?with_pcd: and PhotoCD}.

This package contains svgalib-based interface.

%description -l de.UTF-8
zgv ist ein Bild-Viewer, der GIF-Dateien nach der
CompuServe-Definition anzeigen kann, abgesehen von den Ausnahmen im
Teil RESTRICTIONS. Ferner kann er JPEG/JFIF-Dateien unter Verwendung
der JPEG-Software der unabhängigen JPEG-Group, PBM/PGM/PPM-Dateien wie
sie pbmplus und netpbm benutzen, sowie Microsoft Windows und OS/2
BMB-Dateien, Targa (TGA) und das neue PNG-Format anzeigen.

%description -l es.UTF-8
Zgv es un visualizador de imágenes capaz de enseñar archivos tipo
"GIF" como las definidas por la CompuServe. También es capaz de
enseñar archivos JPEG/JFIF usando "Independant JPEG Group JPEG
software", archivos PBM/PGM/PPM como los usados por la pbmplus y
netpbm, archivos Microsoft Windows y OS/2 BMP, archivos Targa (TGA), y
el nuevo formato PNG.

%description -l fr.UTF-8
Zgv est un visualisateur de fichiers GIF tels que ceux qui sont
définis par CompuServe, avec les exceptions listées dans la section
RESTRICTIONS. Il peut aussi afficher les fichiers JPEG/JTIF utilisés
par le logiciel JPEG de l'Independant JPEG Group, les fichiers
PBM/PGM/PPM utilisés par pbmplus et netpbm, les fichiers BMP de
Microsoft Windows et OS/2, les fichiers Targa (TGA) et le nouveau
format PNG.

%description -l pl.UTF-8
Zgv potrafi wyświetlać obrazki w formacie CompuServe GIF (z wyjątkami
opisanymi w rozdziale RESTRICTIONS), JPEG/JFIF, PBM/PGM/PPM, BMP (z
Microsoft Windows i OS/2), Targa (TGA), TIFF, PNG%{?with_pcd: i PhotoCD}.

Ten pakiet zawiera interfejs korzystajacy z biblioteki svgalib.

%description -l pt_BR.UTF-8
Zgv é um visualizador de imagens capaz de mostrar arquivos tipo "GIF"
como as definidas pela CompuServe. Ele também é capaz de mostrar
arquivos JPEG/JFIF usando o "Independent JPEG Group JPEG software",
arquivos PBM/PGM/PPM como os usados pela pbmplus e netpbm, arquivos
Microsoft Windows e OS/2 BMP, arquivos Targa (TGA), e o novo formato
PNG.

%description -l ru.UTF-8
Zgv - это программа для просмотра изображений, которая поддерживает
показ файлов в форматах GIF, JPEG/JFIF, PNG, PBM/PGM/PPM, BMP, TGA,
PCX и MRF на VGA и SVGA дисплеях. Zgv может также показывать
мини-копии изображений (thumbnails). Zgv основывается на svgalib,
поэтому для использования zgv вам необходимо ее установить.

%description -l tr.UTF-8
Zgv, konsol ortamından CompuServe'in GIF formatı (RESTRICTIONS ile
belirtilenler dışında), JPEG/JFIF, PGM/PBM/PPM, Bitmap (BMP), Targa
(TGA) ve yeni PNG formatlarındaki resimleri görüntüleyebilmektedir.

%description -l uk.UTF-8
Zgv - це програма для перегляду зображень, яка підтримує показ файлів
в форматах GIF, JPEG/JFIF, PNG, PBM/PGM/PPM, BMP, TGA, PCX і MRF на
VGA та SVGA дисплеях. Zgv може також показувати міні-копії зображень
(thumbnails). Zgv базується на svgalib, тому для використання zgv вам
необхідно її встановити,

%package common
Summary:	Common files for both ZGV frontends
Summary(pl.UTF-8):	Pakiet wspólny dla obu interfejsów ZGV
Group:		Applications/Graphics
Requires:	/usr/share/X11/rgb.txt

%description common
Common files for both ZGV frontends.

%description common -l pl.UTF-8
Pakiet wspólny dla obu interfejsów ZGV.

%package sdl
Summary:	SDL viewer for many graphics formats
Summary(pl.UTF-8):	Oparta na SDL przeglądarka obrazków w różnych formatach
Group:		Applications/Graphics
Requires:	%{name}-common = %{version}-%{release}

%description sdl
Zgv is a picture viewer capable of displaying GIF files as defined by
CompuServe, with the exceptions listed in the RESTRICTIONS section. It
is also capable of displaying JPEG/JFIF files using the Independant
JPEG Group's JPEG software, PBM/PGM/PPM files as used by pbmplus and
netpbm, Microsoft Windows and OS/2 BMP files, Targa (TGA) and TIFF
files, the new PNG format%{?with_pcd: and PhotoCD}.

This package contains SDL-based interfeace.

%description sdl -l pl.UTF-8
Zgv potrafi wyświetlać obrazki w formacie CompuServe GIF (z wyjątkami
opisanymi w rozdziale RESTRICTIONS), JPEG/JFIF, PBM/PGM/PPM, BMP (z
Microsoft Windows i OS/2), Targa (TGA), TIFF, PNG%{?with_pcd: i PhotoCD}.

Ten pakiet zawiera interfejs korzystajacy z biblioteki SDL.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%if %{with pcd}
sed -e 's@#\(PCDDEF=.*\)@\1@' config.mk > config.mk.new
mv -f config.mk.new config.mk
%endif

%build
%if %{with svga}
%{__make} all \
	OPTFLAGS="%{rpmcflags}" \
	RGB_DB="/usr/share/X11/rgb.txt" \
	RCFILE="%{_sysconfdir}/zgv.conf" \
	CC="%{__cc}"

%{?with_sdl:mv -f src/zgv zgv-svga}
%{?with_sdl:%{__make} clean}
%endif

%if %{with sdl}
%{__make} all \
	OPTFLAGS="%{rpmcflags}" \
	BACKEND=SDL \
	RGB_DB="/usr/share/X11/rgb.txt" \
	RCFILE="%{_sysconfdir}/zgv.conf" \
	CC="%{__cc}"
%endif

%{__make} info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_bindir} \
	MANDIR=%{_mandir}/man1 \
	INFODIR=%{_infodir} \
	%{?with_sdl:BACKEND=SDL}

%{?with_svga:%{?with_sdl:install zgv-svga $RPM_BUILD_ROOT%{_bindir}/zgv}}
%{?with_sdl:echo '.so zgv.1' > $RPM_BUILD_ROOT%{_mandir}/man1/zgv-sdl.1}

sed -e "s@/usr/local/etc@%{_sysconfdir}@g" doc/sample.zgvrc >$RPM_BUILD_ROOT%{_sysconfdir}/zgv.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%if %{with svga}
%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/zgv
%endif

%files common
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* TODO
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/zgv.conf
%{_mandir}/man1/zgv.1*
%{_infodir}/*.info*

%if %{with sdl}
%files sdl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/zgv-sdl
%{_mandir}/man1/zgv-sdl.1*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: zgv.spec,v $
Revision 1.86  2012/02/08 21:35:58  adamg
- release 10 (rebuild against libpng-1.5)

Revision 1.85  2012/01/13 14:51:11  arekm
- release 9

Revision 1.84  2011/01/29 00:08:12  sparky
- dropped pre-cvs changelog

Revision 1.83  2010/11/23 05:49:55  arekm
- rel 8; svgalib off

Revision 1.82  2010/11/23 05:48:54  arekm
- release 7

Revision 1.81  2010/01/28 16:17:41  megabajt
- release 6

Revision 1.80  2009/07/12 13:31:38  arekm
- release 5

Revision 1.79  2008/08/17 08:33:28  adamg
- release 4

Revision 1.78  2008-01-24 01:23:04  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.77  2007-07-03 16:57:28  darekr
- added patch4

Revision 1.76  2007/04/26 21:35:41  qboosh
- CVE reference

Revision 1.75  2007/02/17 17:36:15  baggins
- rel 3
- switch to modular xorg

Revision 1.74  2007/02/12 22:09:26  glen
- tabs in preamble

Revision 1.73  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.72  2006/04/22 19:01:43  glen
- cve ref

Revision 1.71  2005/09/06 22:05:29  arekm
- rel 2

Revision 1.70  2005/02/12 15:37:31  qboosh
- updated to 5.9, removed obsolete CAN-2004-0999 patch
  [resolves CVE-2006-1060?]

Revision 1.69  2004/12/20 13:53:18  adamg
- added CAN-2004-0999.patch (fixes integer overflow vulnerability)
- release 3

Revision 1.68  2004/06/27 17:12:16  qboosh
- now we have svgalib on all supported archs

Revision 1.67  2004/04/27 19:18:31  adamg
- pass CC, release 2

Revision 1.66  2004/04/27 05:26:00  adamg
- look for config file in /etc not /usr/local/etc (Bug #897)

Revision 1.65  2004/04/18 18:57:25  qboosh
- updated to 5.8, updated DESTDIR,info patches, removed obsolete gcc33 patch
[fixes CVE-2006-1060]

Revision 1.64  2003/11/19 14:49:29  qboosh
- fixed forcing bcond on ifnarch

Revision 1.63  2003/11/19 14:42:24  undefine
- revert without->with

Revision 1.62  2003/11/10 06:11:39  witekfl
- added home_etc.patch
- rel 2

Revision 1.61  2003/08/28 08:20:34  ankry
- cosmetics

Revision 1.60  2003/08/02 21:31:16  qboosh
- up to 5.7
- updated DESTDIR patch, added gcc33 patch
- added SDL version, separated -common

Revision 1.59  2003/05/26 16:25:54  malekith
- massive attack: adding Source-md5

Revision 1.58  2003/05/25 06:28:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.57  2002/10/10 12:12:39  qboosh
- new %%doc

Revision 1.56  2002/05/08 13:37:35  pioklo
-up to 5.6,STBR

Revision 1.55  2002/04/28 13:33:02  qboosh
- libpng 1.2.2 support

Revision 1.54  2002/04/24 22:15:01  marcus
- svga4ggi is not compatibile with zgv - ppc diabled

Revision 1.53  2002/04/24 22:12:54  marcus
- fixed pl description

Revision 1.52  2002/04/24 22:09:41  marcus
- addedd ppc arch

Revision 1.51  2002/04/13 10:38:18  kloczek
- release 3: merge translations from KSI.

Revision 1.50  2002/02/23 05:29:57  kloczek
- adapterized.

Revision 1.49  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.48  2002/01/18 02:15:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.47  2001/11/02 17:33:09  undefine
- small, but usefull patch. Now when you delete file, cursor moves down.
- release++

Revision 1.46  2001/10/10 20:09:58  qboosh
- updated to 5.5, removed bmp-fixes patch (already in sources)

Revision 1.45  2001/10/03 19:50:45  qboosh
- replaced bmp4-rle-bug patch by bmp-fixes patch from the author
  (contains more fixes, including boundary checking)
- release 3

Revision 1.44  2001/09/29 08:21:54  qboosh
- added fix for bug in RLE4 bmp decoding (SEGV on lilo-pldblack.bmp)
- release 2

Revision 1.43  2001/08/03 16:46:17  qboosh
- BuildRequires: libtiff-devel

Revision 1.42  2001/07/26 05:42:27  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.40  2001/07/16 01:02:51  kloczek
- updated to 5.4,
- removed tifftopnm obsoleted patch,
- updated info and Destdir patches,
- added texinfo to BuildRequires,
- added /usr/X11R6/lib/X11/rgb.txt to Requires (probly it will be good move
  this file to XFree86-libs).

Revision 1.39  2001/07/16 00:11:45  qboosh
- use sample.zgvrc as /etc/zgv.conf: it doesn't contain any non-default settings
  and has some comments - it's good as default global configuration file
- release 4

Revision 1.38  2001/06/14 20:04:53  qboosh
- added fix for big-endian TIFFs to tifftopnm patch
- release 3

Revision 1.37  2001/06/14 16:09:15  qboosh
- tifftopnm patch: fix TIFF support (through tifftopnm program)
- confitional PhotoCD support (requires seldom used libpcd (from xpcd))
- fixed DESTDIR patch: don't strip on make install (let rpm do if not %%debug)
- release 2

Revision 1.36  2001/04/30 16:05:33  kloczek
- added using %%{rpmcflags} macro.

Revision 1.35  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.34  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.33  2000/11/04 15:04:18  kloczek
- updated to 5.2.

Revision 1.32  2000/11/04 14:34:19  kloczek
- release 4: use new rpm automation.

Revision 1.31  2000/09/11 12:51:30  zagrodzki
- release 3
- adapterized
- buildreq: gawk

Revision 1.30  2000/07/28 13:59:27  zagrodzki
- release 2, built against libpng >= 1.0.8

Revision 1.29  2000/07/23 15:04:41  kloczek
- updated to 1.5.

Revision 1.28  2000/07/03 21:32:50  kloczek
- changed permission on executables to 755.

Revision 1.27  2000/06/09 07:24:23  kloczek
- added using %%{__make} macro.

Revision 1.26  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.25  2000/05/21 16:53:31  kloczek
- spec adapterized.

Revision 1.24  2000/05/01 20:11:43  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.23  2000/04/29 16:17:40  bonkey
- updated to 5.0
- url changed
- overflow patch deprecated

Revision 1.22  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.21  2000/03/28 16:55:27  baggins
- translated kloczkish into english

Revision 1.20  1999/09/24 10:45:03  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.19  1999/09/19 10:20:38  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.18  1999/08/05 13:31:10  baggins
- update to 3.3

Revision 1.17  1999/07/20 12:48:12  wiget
- switch to rpm 3.0.2

Revision 1.16  1999/07/12 23:06:29  kloczek
- added using CVS keywords in %changelog (for automating them).
